Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## aop.example.model
Class Album

    java.lang.Object
      aop.example.model.Album

All Implemented Interfaces:
  Controlled

public class Album
extends java.lang.Object
implements Controlled

Объект альбом

Author:
  Zubairov Renat

Field Summary
`private User` | `owner` Владелец
`private java.lang.String` | `title` Название

Constructor Summary
`Album(User anowner, java.lang.String title)` Конструктор

Method Summary
`boolean` | `equals(java.lang.Object obj)` Этот метод нам нужен для того что бы можно было бы легко сравнивать альбомы, а значит и использовать автоматическое удаление/поиск в объектах имплементирующих интерфейс List
`User` | `getOwner()`
`java.lang.String` | `getTitle()`
`boolean` | `isAddable()`
`boolean` | `isDeletable()`
`boolean` | `isReadable()`
`void` | `setTitle(java.lang.String string)`
`java.lang.String` | `toString()` Для удобства и лаконичности

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### owner

    private User owner

  Владелец

### title

    private java.lang.String title

  Название

Constructor Detail

### Album

    public Album(User anowner,
                 java.lang.String title)

  Конструктор

Parameters:
  `anowner` - владелец
  `title` - название

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Этот метод нам нужен для того что бы можно было бы легко сравнивать альбомы, а значит и использовать автоматическое удаление/поиск в объектах имплементирующих интерфейс List

  See Also:
    `Object.equals(java.lang.Object)`

### getOwner

    public User getOwner()

  Returns:

### getTitle

    public java.lang.String getTitle()

  Returns:

### isAddable

    public boolean isAddable()

  Specified by:
    `isAddable` in interface `Controlled`

### isDeletable

    public boolean isDeletable()

  Specified by:
    `isDeletable` in interface `Controlled`

### isReadable

    public boolean isReadable()

  Specified by:
    `isReadable` in interface `Controlled`

### setTitle

    public void setTitle(java.lang.String string)

  Parameters:
    `string` -

### toString

    public java.lang.String toString()

  Для удобства и лаконичности

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD